Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceInfoDecoder

- java.lang.Object
- - com.google.android.exoplayer2.metadata.SimpleMetadataDecoder
  - - com.google.android.exoplayer2.metadata.scte35.SpliceInfoDecoder

- All Implemented Interfaces:
    `MetadataDecoder`

      public final class SpliceInfoDecoder
      extends SimpleMetadataDecoder

  Decodes splice info sections and produces splice commands.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpliceInfoDecoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Metadata` | `decode​(MetadataInputBuffer inputBuffer, ByteBuffer buffer)` | Called by `SimpleMetadataDecoder.decode(MetadataInputBuffer)` after input buffer validation has been performed, except in the case that `Buffer.isDecodeOnly()` is `true`.

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.SimpleMetadataDecoder

      `decode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpliceInfoDecoder

          public SpliceInfoDecoder()

  - ### Method Detail

    - #### decode

          protected Metadata decode​(MetadataInputBuffer inputBuffer,
                                    ByteBuffer buffer)

      Description copied from class: `SimpleMetadataDecoder`
      Called by `SimpleMetadataDecoder.decode(MetadataInputBuffer)` after input buffer validation has been performed, except in the case that `Buffer.isDecodeOnly()` is `true`.
      Specified by:
        `decode` in class `SimpleMetadataDecoder`
      Parameters:
        `inputBuffer` - The input buffer to decode.
        `buffer` - The input buffer's `data buffer`, for convenience. Validation by `SimpleMetadataDecoder.decode(com.google.android.exoplayer2.metadata.MetadataInputBuffer)` guarantees that `ByteBuffer.hasArray()`, `Buffer.position()` and `ByteBuffer.arrayOffset()` are `true`, `0` and `0` respectively.
      Returns:
        The decoded metadata object, or `null` if the metadata could not be decoded.